<?php

// Featured Posts Widget.
require get_template_directory() . '/inc/widgets/featured-posts-widget.php';

// Express List Widget.
require get_template_directory() . '/inc/widgets/express-list-widget.php';

// Posts Tabs Widget.
require get_template_directory() . '/inc/widgets/posts-tabs-widget.php';

// Posts Carousel Widget.
require get_template_directory() . '/inc/widgets/posts-carousel-widget.php';

// Small List Widget.
require get_template_directory() . '/inc/widgets/small-list-widget.php';

// Grid Posts Widget.
require get_template_directory() . '/inc/widgets/grid-posts-widget.php';

// Trending Posts Widget.
require get_template_directory() . '/inc/widgets/trending-posts-widget.php';

// Social Widget.
require get_template_directory() . '/inc/widgets/social-widget.php';

/**
 * Register Widgets
 */
function web_news_register_widgets() {

	register_widget( 'Web_News_Featured_Posts_Widget' );

	register_widget( 'Web_News_Express_List_Widget' );

	register_widget( 'Web_News_Posts_Tabs_Widget' );

	register_widget( 'Web_News_Posts_Carousel_Widget' );

	register_widget( 'Web_News_Small_List_Widget' );

	register_widget( 'Web_News_Grid_Posts_Widget' );

	register_widget( 'Web_News_Trending_Posts_Widget' );

	register_widget( 'Web_News_Social_Widget' );

}
add_action( 'widgets_init', 'web_news_register_widgets' );
